org.bouncycastle.jce

## Class MultiCertStoreParameters

- java.lang.Object
- - org.bouncycastle.jce.MultiCertStoreParameters

All Implemented Interfaces:
  java.lang.Cloneable, java.security.cert.CertStoreParameters

    public class MultiCertStoreParameters
    extends java.lang.Object
    implements java.security.cert.CertStoreParameters

### Constructor Summary

Constructors
Constructor and Description
`MultiCertStoreParameters(java.util.Collection certStores)` Create a parameters object which specifies searching of all the passed in stores.
`MultiCertStoreParameters(java.util.Collection certStores, boolean searchAllStores)` Create a parameters object which can be to used to make a multi store made up of the passed in CertStores.

### Method Summary

Methods
`java.lang.Object` `clone()`
`java.util.Collection` `getCertStores()`
`boolean` `getSearchAllStores()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiCertStoreParameters

    public MultiCertStoreParameters(java.util.Collection certStores)

Create a parameters object which specifies searching of all the passed in stores.

Parameters:
  `certStores` - CertStores making up the multi CertStore

#### MultiCertStoreParameters

    public MultiCertStoreParameters(java.util.Collection certStores,
                            boolean searchAllStores)

Create a parameters object which can be to used to make a multi store made up of the passed in CertStores. If the searchAllStores parameter is false, any search on the multi-store will terminate as soon as a search query produces a result.

Parameters:
  `certStores` - CertStores making up the multi CertStore
  `searchAllStores` - true if all CertStores should be searched on request, false if a result should be returned on the first successful CertStore query.

### Method Detail

#### getCertStores

    public java.util.Collection getCertStores()

#### getSearchAllStores

    public boolean getSearchAllStores()

#### clone

    public java.lang.Object clone()

Specified by:
  `clone` in interface `java.security.cert.CertStoreParameters`
Overrides:
  `clone` in class `java.lang.Object`